# Weapon Customization | Version 0.1.1

Greatly expands the feature set and customization available to Rundown Developers for making custom guns.

## Features

### Modify Projectile Type

Allows guns to fire either a standard RayCast bullet (0), spawn a throwable item (2), or a shooter projectile (3). All projectile types are highly configurable.

### Uncap the pierce limit

Guns are no longer bound to a limit of 5 pierces, and can penetrate an infinite amount of enemies

### Merge shotguns and standard guns

Overrides the vanilla handling of shotguns, which no longer require a seperate prefab in itemDB. Shotguns can now accept float values for spread and cone size.

### Silenced weapons

Allows configuration of a range in which enemies will wake up when firing your gun

### Explosive bullets

Spawns a configurable explosion wherever your bullet hits. Only compatible with RayCast bullets.

### Unlimited Magazine

Your weapon will draw ammo from the reserve ammo pool instead of the magazine

### And more!

A number of additional features are configurable in the datablock, however not all of them are fully implemented. For the time being, avoid using the Beam projectile type (1) and the FireRateModifier configuration.

## How to use

Launch the game once to generate AdvancedArchetype.json in your gamedata/Custom/mccad00 directory. Advanced Archetype settings hook into the game's vanilla archetype, and require an ArchetypeID to function. Find the archetype of the weapon you would look to configure, and input it's persistentID into the ArchetypeID field.